# Update an app deployment scan finding

Launch stage: Beta

`PATCH /api/2.0/{name=apps/*/deployments/*/scanFindings/*}`

`PATCH /api/2.0/apps-ui/{name=apps/*/deployments/*/scanFindings/*}`

Updates the triage status (resolved / ignored / in-progress) of a single scan finding.

API scopes: apps

## Path parameters

- `name` (string, required)
  The resource name of the finding, in the form
   `apps/{app}/deployments/{deployment}/scanFindings/{finding_id}`.
  Example: `apps/my-app/deployments/01ef0bda89f21f08a8351f41e4a9b948/scanFindings/abc123`

## Query parameters

- `update_mask` (string, required)
  The fields to update. Must be exactly `status`, the only updatable field on a scan finding.

## Request body

The finding to update. `name` identifies the finding and `status` is the new triage status.
- `status` (string, optional)
  The triage status of the finding. This is the only client-writable field; set it to
   resolve or ignore a finding.
  Possible values:
  - `SCAN_FINDING_STATUS_IN_PROGRESS`
  - `SCAN_FINDING_STATUS_RESOLVED`
  - `SCAN_FINDING_STATUS_IGNORED`

## Returns

Returns the AppDeploymentScanFinding object.

## Response

```json
{
  "name": "apps/my-app/deployments/01ef0bda89f21f08a8351f41e4a9b948/scanFindings/abc123",
  "status": "SCAN_FINDING_STATUS_IN_PROGRESS",
  "finding_id": "string",
  "rule_id": "string",
  "file_path": "string",
  "line": 0,
  "message": "string",
  "severity": "SCAN_FINDING_SEVERITY_INFO",
  "scanner_type": "SCAN_FINDING_SCANNER_TYPE_SEMGREP"
}
```

